# semaphore.h File Reference

## Detailed Description

Simple class implementing a semaphore using pthreads mutex and condvar.

Definition in file semaphore.h.

`#include "scoped_lock.h"`
`#include <pthread.h>`

Include dependency graph for semaphore.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::semaphore